%define major 4
%define libname %mklibname %{name} %{major}
%define inchilib %mklibname inchi 0
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Name: openbabel
Version: 2.3.1
Release: %mkrel 1
Summary: Chemistry software file format converter
License: GPLv2+
Group: Sciences/Chemistry
URL: http://openbabel.org
Source: http://downloads.sourceforge.net/%name/%{name}-%{version}.tar.gz
Patch0: openbabel-2.3.1-builddir.patch
Patch1: %{name}-rpm.patch
# fix plugin directory location (#680292, patch by lg)
Patch4: openbabel-2.3.0-plugindir.patch
BuildRequires: doxygen 
BuildRequires: wxgtku2.8-devel
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: eigen2
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: python-devel
BuildRequires: ruby-devel
BuildRequires: swig
BuildRequires: cmake
Requires: %{libname} = %{version}

%description
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

%package	-n %{libname}
Summary:        Shared libraries of %{name}
Group:          System/Libraries

%description	-n %{libname}
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package contains shared libraries of %{name}.

%package        -n %{inchilib}
Summary:        Shared libraries of inchi
Group:          System/Libraries

%description    -n %{inchilib}
The IUPAC International Chemical Identifier (InChITM) is a non-proprietary
identifier for chemical substances that can be used in printed and
electronic data sources thus enabling easier linking of diverse data
compilations. It was developed under IUPAC Project 2000-025-1-800 during
the period 2000-2004. Details of the project and the history of its
progress are available from the project web site.

This package contains shared libraries of inchi.

%package	-n %{develname}
Summary:        Development files of %{name}
Group:          Development/C++
Requires:	%{libname} = %{version}
Requires:	%{inchilib} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{staticname} < 2.3.0
Obsoletes: %mklibname %{name} 2 -d 
Obsoletes: %mklibname %{name} 3 -d 

%description	-n %{develname}
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package includes the header files and other development
related files necessary for developing or compiling programs
using the %{name} library.

%package -n perl-%{name}
Group: Development/Perl
Summary: Perl wrapper for the Open Babel library

%description -n perl-%{name}
Perl wrapper for the Open Babel library.

%package -n python-%{name}
Group: Development/Python
Summary: Python wrapper for the Open Babel library

%description -n python-%{name}
Python wrapper for the Open Babel library.

%package -n ruby-%{name}
Summary: Ruby wrapper for the Open Babel library
Group: Development/Ruby
Requires: %{name} = %{version}-%{release}

%description -n ruby-%{name}
Ruby wrapper for the Open Babel library.

%prep
%setup -q
%patch0 -p0 -b .dir
%patch1 -p1 -b .r
%patch4 -p1 -b .plugindir

%build
%cmake \
 -DENABLE_TESTS:BOOL=OFF \
 -DBUILD_GUI:BOOL=ON \
 -DPYTHON_BINDINGS:BOOL=ON \
 -DPERL_BINDINGS:BOOL=ON \
 -DRUBY_BINDINGS:BOOL=ON \
 -DOPENBABEL_USE_SYSTEM_INCHI=OFF
%make

%install
touch scripts/CMakeLists.txt
%makeinstall_std -C build

%files
%doc AUTHORS COPYING ChangeLog README THANKS
%doc doc/*.html doc/diox* doc/README*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{version}
%{_libdir}/%{name}/%{version}/*.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{inchilib}
%{_libdir}/libinchi.so.0.*
%{_libdir}/libinchi.so.0

%files -n %{develname}
%{_includedir}/*
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so

%files -n perl-%{name}
%{perl_vendorarch}/*

%files -n python-%{name}
%{python_sitearch}/*

%files -n ruby-%{name}
%{ruby_sitearchdir}/openbabel.so


%changelog

* Sun Dec 04 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 176164
- sync with fedora patches
  fix build with builddir  srcdir
- new version 2.3.1

* Sun Oct 02 2011 fwang <fwang> 2.3.0-1.mga2
+ Revision: 150856
- new version 2.3.0 (sync with mandriva)

* Wed Sep 21 2011 fwang <fwang> 2.2.3-9.mga2
+ Revision: 146362
- drop .la files

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Thu Mar 24 2011 boklm <boklm> 2.2.3-7.mga1
+ Revision: 76196
- rebuild for bug #497

* Wed Mar 16 2011 mikala <mikala> 2.2.3-6.mga1
+ Revision: 72651
- Remove wrong provides openbabel in the lib package (thks to blino)
- Remove BuildRoot

* Sun Jan 23 2011 ahmad <ahmad> 2.2.3-5.mga1
+ Revision: 35384
- drop old/unneeded scriptlets
- imported package openbabel

